#ifndef MMYTH_RECORD_H_
#define MMYTH_RECORD_H_

#include "gmyth_scheduler.h"

typedef struct _MMythRecordUI
{
	GtkWidget *scrolled_window;
	GtkWidget *viewport;
	GtkWidget *notebook;
	
	GtkWidget *rec_scrolled_window;
	GtkWidget *sch_scrolled_window;
	GtkWidget *rec_treeview;
	GtkWidget *sch_treeview;
	GtkWidget *rec_label;
	GtkWidget *sch_label;
	
	GtkTreeViewColumn *rec_column1;
	GtkTreeViewColumn *rec_column2;
	GtkTreeViewColumn *rec_column3;
	GtkTreeViewColumn *rec_column4;
	GtkTreeViewColumn *sch_column1;
	GtkTreeViewColumn *sch_column2;
	GtkTreeViewColumn *sch_column3;
	GtkTreeViewColumn *sch_column4;
	
	GtkCellRenderer *rec_renderer;
	GtkCellRenderer *sch_renderer;

	GtkTreeStore *sch_tree_store;
	GtkTreeStore *rec_tree_store;
	
	GMythScheduler *scheduler;
	
} MMythRecordUI;

MMythRecordUI* mmyth_recordui_new(void);
void mmyth_recordui_free (MMythRecordUI *recordui);

void mmyth_recordui_delete_selected (GtkButton *button, MMythRecordUI *recordui);
gboolean mmyth_recordui_reload_all (MMythRecordUI *recordui);
gboolean mmyth_recordui_reload_schedule (MMythRecordUI *recordui);
gboolean mmyth_recordui_reload_record (MMythRecordUI *recordui);

gchar* mmyth_recordui_get_selected_recorded (MMythRecordUI *recordui);

#endif /*MMYTH_RECORD_H_*/
